package com.ynet.life.platform.tranSwitch.limit;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.platform.base.PlatformConstants;
import com.ynet.life.platform.tranSwitch.limit.a;
import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

public class CBLimitAccTranDaySum implements a {

   private static String a = "SELECT LIA_DAYMAX, LIA_DAYMAX_STT, LIA_DAYSUM, LIA_LASTDATE FROM CB_LIMIT_ACC";
   private static String b = "UPDATE CB_LIMIT_ACC SET LIA_DAYSUM = 0, LIA_LASTDATE = ?";
   private static String c = "UPDATE CB_LIMIT_ACC SET LIA_DAYSUM = LIA_DAYSUM + ?";
   private static String d = "UPDATE CB_LIMIT_ACC SET LIA_DAYSUM = LIA_DAYSUM - ? ";
   private static String e = " WHERE LIA_TYPE = \'20\' AND LIA_BANKID = ? AND LIA_CHANNEL = ? AND LIA_CRYTYPE = ? AND LIA_CSTNO = ? AND LIA_ACCNO = ?";


   public final void a(Context accNo, Connection connection) throws GENEException {
      String payAmount = (String)accNo.getDataValue("payAmount");
      String bankId = (String)accNo.getDataValue(PlatformConstants.FIELD_BANK_ID);
      String channel = (String)accNo.getDataValue(PlatformConstants.FIELD_CHANNEL);
      String currencyType = (String)accNo.getDataValue("currencyType");
      String cstNo = (String)accNo.getDataValue(PlatformConstants.FIELD_CST_NO);
      String accNo1 = (String)accNo.getDataValue("payAccount");
      ArrayList inputList;
      (inputList = new ArrayList()).add(payAmount);
      inputList.add(bankId);
      inputList.add(channel);
      inputList.add(currencyType);
      inputList.add(cstNo);
      inputList.add(accNo1);
      LifeDBAccess.executeSQLUpdate(connection, d + e, inputList);
   }

   private static void a(String limitStt) throws TranFailException {
      if("1".equals(limitStt)) {
         throw new TranFailException("EBCBLT19");
      } else {
         throw new TranFailException("EBCBLT20");
      }
   }

   public static void main(String[] connection) {
      Connection connection1 = null;

      String dsl;
      String userName;
      try {
         Class.forName("oracle.jdbc.driver.OracleDriver");
         dsl = "jdbc:oracle:thin:@192.168.12.45:1521:orcl";
         userName = "life";
         String password = "life";
         connection1 = DriverManager.getConnection(dsl, userName, password);
      } catch (Exception var22) {
         var22.printStackTrace();
      }

      CBLimitAccTranDaySum dsl1 = new CBLimitAccTranDaySum();

      try {
         userName = null;
         dsl = (String)null.getDataValue(PlatformConstants.FIELD_BANK_ID);
         String var4 = (String)null.getDataValue(PlatformConstants.FIELD_CHANNEL);
         String var5 = (String)null.getDataValue("currencyType");
         String var6 = (String)null.getDataValue(PlatformConstants.FIELD_CST_NO);
         String var7 = (String)null.getDataValue("payAccount");
         BigDecimal var8 = new BigDecimal((String)null.getDataValue("payAmount"));
         ArrayList var9;
         (var9 = new ArrayList()).add(dsl);
         var9.add(var4);
         var9.add(var5);
         var9.add(var6);
         var9.add(var7);
         List userName1 = LifeDBAccess.querySingleResult(connection1, a + e, var9, 4);
         BigDecimal var31 = new BigDecimal((String)userName1.get(0));
         String var10 = (String)userName1.get(1);
         BigDecimal var11 = new BigDecimal((String)userName1.get(2));
         String var12 = LifeStandard.getServerTime("yyyyMMdd");
         userName = (String)userName1.get(3);
         if(!var12.equals(userName)) {
            ArrayList userName2;
            (userName2 = new ArrayList()).add(var12);
            userName2.add(dsl);
            userName2.add(var4);
            userName2.add(var5);
            userName2.add(var6);
            userName2.add(var7);
            LifeDBAccess.executeSQLUpdate(connection1, b + e, userName2);
            if(var8.compareTo(var31) > 0) {
               a(var10);
            }
         } else if(var8.add(var11).compareTo(var31) > 0) {
            a(var10);
         }

         dsl = null;
         dsl = (String)null.getDataValue("payAmount");
         var4 = (String)null.getDataValue(PlatformConstants.FIELD_BANK_ID);
         var5 = (String)null.getDataValue(PlatformConstants.FIELD_CHANNEL);
         var6 = (String)null.getDataValue("currencyType");
         var7 = (String)null.getDataValue(PlatformConstants.FIELD_CST_NO);
         String var30 = (String)null.getDataValue("payAccount");
         (var9 = new ArrayList()).add(dsl);
         var9.add(var4);
         var9.add(var5);
         var9.add(var6);
         var9.add(var7);
         var9.add(var30);
         LifeDBAccess.executeSQLUpdate(connection1, c + e, var9);
         connection1.commit();
         return;
      } catch (GENEException var23) {
         var23.printStackTrace();
      } catch (SQLException var24) {
         var24.printStackTrace();
         return;
      } finally {
         if(connection1 != null) {
            try {
               connection1.close();
            } catch (SQLException var21) {
               var21.printStackTrace();
            }
         }

      }

   }
}
